@import url('../fonts/Roboto.css');

@import url('./normalize.css');


* {box-sizing:border-box}

.slideshow-container {
  position: relative;
  margin: 0;
}

.slideshow-container img{
  width:100%;
}

.mySlides {
    display: none;
}

.prev, .next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  margin-top: -22px;
  padding: 16px;
  color: white;
  font-weight: bold;
  font-size: 18px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
}

.prev {
    left: 0;
    border-radius: 3px 0 0 3px;
}

.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}

.prev:hover, .next:hover {
  background-color: rgba(0,0,0,0.8);
}

.text {
  color: #f2f2f2;
  font-size: 15px;
  padding: 8px 12px;
  position: absolute;
  bottom: 8px;
  width: 100%;
  text-align: center;
}

/* Number text (1/3 etc) */
.numbertext {
  color: #f2f2f2;
  font-size: 12px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
}

.fade {
  -webkit-animation-name: fade;
  -webkit-animation-duration: 1.5s;
  animation-name: fade;
  animation-duration: 1.5s;
}

@-webkit-keyframes fade {
  from {opacity: .4}
  to {opacity: 1}
}

@keyframes fade {
  from {opacity: .4}
  to {opacity: 1}
}


body, html {
    height: 100%;
    margin: 0;
    font-family: Arial;
  }
  

.tablink {
  background-color: #555;
  color: white;
  float: left;
  outline: none;
  border: none;
  cursor: pointer;
  padding: 14px 16px;
  font-size: 17px;
  width: 25%;
  border-right: 1px solid white;
  margin-top: -4px;
}


[class~='tablink']:last-of-type  {
  border: 0;
}
  
.tablink:hover {
  background-color: #777;
}

.tabcontent {
  color: white;
  display: none;
  padding: 50px 0px;
  height: 100%;
}

#Home, #About, #News, #Contact  {
  background: linear-gradient(45deg, #292929 25%, transparent 25%, transparent 75%, #292929 75%), linear-gradient(45deg, #292929 25%, transparent 25%, transparent 75%, #292929 75%) 0.1875em 0.1875em, radial-gradient(at 50% 0, #484847, #090909);
  background-size: 0.375em 0.375em, 0.375em 0.375em, 100% 100%; 
  height: fit-content;
  /* height: 100%; */
} 

.topnav {
  overflow: hidden;
}
.topnav .search-container {
  float: right;
}

.topnav .search-container input[type=text] {
  padding: 6px;
  margin-top: 8px;
  font-size: 17px;
  border: none;
}
.topnav .search-container input[type=submit] {
  float: right;
  padding: 6px 10px;
  margin-top: 8px;
  margin-right: 16px;
  background: #ddd;
  font-size: 17px;
  border: none;
  cursor: pointer;
}

.topnav .search-container input[type=submit] :hover {
  background: #ccc;
}

@media screen and (max-width: 600px) {
  .topnav .search-container {
    float: none;
  }
  .topnav a, .topnav .search-container input[type=text], .topnav .search-container input[type=submit] {
    float: none;
    display: block;
    text-align: left;
    width: 100%;
    margin: 0;
    padding: 14px;
  }
  .topnav .search-container input[type=text] {
    border: 1px solid #ccc;  
  }
}

.block-left{
  width:30%;
  height:800px;
  overflow:auto;
  float:left;
  font-family: "Bradley Hand", cursive;
  font-size: 40px;
}

.block-right{width:70%;
  height:800px;
  overflow:auto;
  padding-right: 50px;
  padding-left: 50px;
  
}

.block-right img{
  width: 100%;
}

.block-left img{
  padding-top: 100px;
  width: 50%;
}

.block-right h1{
  padding-top: 10px;
  padding-bottom: 10px;
  text-align: left;
}

.block-right p{
  margin-top:  20px;
  text-align: left;
  font-family: Arial;
}
.container {
  display: grid;
  grid-gap: 100px;
  grid-template-columns: repeat(auto-fill, minmax(190px, 40fr));
  margin-left: 40px;
  margin-right: 100px;
  margin-bottom: 50px;
}

.container figure {
  margin-bottom: 10px;
}


.popup-film-card {
  position: fixed;
  background-color: white;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  border: 1px solid black;
  width: 1000px;
  padding-bottom: 40px;
  box-shadow: 0 0 0 0 lightgray;
}

#popup-buy-ticket,
#popup-film-card {
  visibility: hidden;
}

#popup-buy-ticket:target,
#popup-film-card:target {
  visibility: visible;
  width: 100%;
  height: 100vh;
  background-color: rgb(255, 255, 255, 0.5);
  backdrop-filter: blur(5px);
  position: fixed;
  z-index: 1;
}

.popup-film-card figure img {
  width: 320px;
  height: 320px;
  margin-left: 30px;
}

.popup-film-card .film-info-img {
  display: grid;
  grid-template-columns: 400px auto;
}

.popup-film-card .film-info {
  text-align: left;
  display: inline;
  /* float: left; */
  margin-left: 30px;
}

.popup-film-card .film-info span {
  padding-bottom: 20px;
  line-height: 20px;
}

.popup-film-card .comment {
   display: block;
  float: left;
  padding-top: 15px;
  padding-bottom: 25px;
  text-align: left;
  width: 100%;
}


.popup-film-card figure {
  display: inline;
  float: left;
}

.popup-film-card header,
.popup-buy-ticket header {
  width: 100%;
  padding: 30px;
}

.popup-film-card .close,
.popup-buy-ticket .close {
  float: right;
  text-decoration: none;
  font-size: 30px;
  color: black;
}

.film-card a {
  text-decoration: none;
  color: black;
}


.film-card figcaption {
  font-size: 100%;
  line-height: 32px;
  margin-top: 15px;
  color: black;
}

.film-card {
  background-color: white;
  margin: auto;
  border: 1px solid black;
}
    
.film-card img {
  width: 200px;
  height: 200px;
  border: 2px solid rgb(0, 0, 0);
  object-fit: cover;
}

.topnav .filter {
  float: left;
}

.topnav .filter input {
  margin-left: 25px;
  margin-top: 10px;
}

.topnav form .release {
  margin-left: 100px;
  margin-right: 30px;
}

.topnav form .release input {
  margin-top: 10px;
}

.topnav .rating {
  float: left;
  margin-top: 15px;
  margin-bottom: 15px;
  margin-left: 70px;
}

.topnav .rating input {
  height: 30px;
  width: 50px;
}

.topnav .filter-rat {
  padding-left: 100px;
  margin-right: 30px;
  margin-top: 10px;
}

.topnav .filter-rat input {
  margin-left: 25px;
  margin-top: 10px;
}

.fa {
  padding: 20px;
  font-size: 30px;
  width: 70px;
  height: 70px;
  text-align: center;
  text-decoration: none;
  margin: 5px 2px;
  border-radius: 50%;
}

.fa:hover {
  opacity: 0.7;
}

.fa-facebook {
  background: #3B5998;
  color: white;
}

.fa-twitter {
  background: #55ACEE;
  color: white;
}

.fa-google {
  background: #dd4b39;
  color: white;
}

.btn-buy {
  background-color: white;
  color: black;
  text-decoration: none;
  font-size: 20px;
  width: 100px;
  height: 60;
}

.btn-buy:hover {
  background-color: lightgray;
  color: black;
}
  
.expiration {
  border: 1px solid #bbbbbb;
}

.expiration input {
  border: 0;
}

.popup-buy-ticket header h1 {
  display: inline;
  font-size: 35px;
}

.popup-buy-ticket {
  position: fixed;
  max-height: 90%;
  /* overflow-y: auto; */
  background-color: white;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  border: 1px solid black;
  width: 420px;
  box-shadow: 0 0 10px 0 lightgray;
}


.popup-buy-ticket .text {
  width: 255px;
  padding: 8px;
  margin-top: 8px;
  margin-bottom: 18px;
}

.popup-buy-ticket .date,
.popup-buy-ticket select {
  width: 255px;
  padding: 6px;
  margin-top: 8px;
  margin-bottom: 18px;
}

.popup-buy-ticket form {
  text-align: left;
  margin-left: 80px;
  margin-right: 80px;
}

.popup-buy-ticket form legend {
  float: left;
}

.popup-buy-ticket form fieldset input,
.popup-buy-ticket form fieldset label {
  float: right;
}

.tabcontent nav p{
  color: #090909;
}

section {
  display: flow-root;
  padding-left: 70px;
  padding-right: 60px;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
}

.foto-container {
  display: grid;
  grid-gap: 100px;
  grid-template-columns: repeat(auto-fill, minmax(190px, 1fr));
  margin-left: 40px;
  margin-right: 150px;
  margin-top: 40px;
}

.foto-container img{
  width: 300px;
  height: 300px;
  object-fit: cover;
}